import { OnInit } from '@angular/core';
import { LfI18n, LfRouter, LfStorage, PathBased } from '@lightweightform/core';
/**
 * Component used to show a tree to navigate between values.
 */
export declare class TreeNavComponent extends PathBased implements OnInit {
    private lfRouter;
    constructor(parentPathBasedComponent: PathBased | null, lfStorage: LfStorage, lfI18n: LfI18n, lfRouter: LfRouter);
    get _hasRoutes(): boolean;
    /**
     * Hide the tree-nav.
     */
    hideTreeNav(): void;
}
