/**
 * Content for the file that imports LF's Bootstrap-theme styles.
 * @param fileType Type of file where the content will be inserted.
 * @returns File content to import the theme.
 */
export declare function themeStylesContent(fileType: 'scss' | 'sass'): string;
/**
 * Whether an existing file content already imports the theme's styles.
 * @param content Current file content.
 * @returns Whether the current file current already imports the theme's styles.
 */
export declare function containsImport(content: string): boolean;
