/**
 * Converts a date representing a certain day in local time to a date that
 * represents that same day in UTC. Used to fix:
 * https://github.com/valor-software/ngx-bootstrap/issues/3609
 * @param date Date to convert.
 * @returns Date in UTC.
 */
export declare function localDateToUTC(date: Date): Date;
/**
 * Whether the provided value is an instance of `Date`.
 * @param value Value to check if it is a date.
 * @returns Whether the provided value is a date.
 */
export declare function isDate(value: Date): value is Date;
